For AI agents: a documentation index is available at https://www.mongodb.com/pt-br/docs/llms.txt — markdown versions of all pages are available by appending .md to any URL path.

Retrieve the Ops Manager Version Manifest

Use this resource to retrieve the version manifest that Ops Manager is configured to use.

Your Ops Manager instance might not return MongoDB's most recent version manifest. Instances with limited Internet access might have this issue.

Warning

Don't change any values in the JSON file. The parameters and values in this file -- as well as how they are structured -- can change without notice.

You can successfully call this endpoint without having an API key or assigned roles in any organization or project.

Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0

GET /unauth/versionManifest

This endpoint doesn't use HTTP request path parameters.

The following query parameters are optional:

Name
Type
Description
Default

pretty

boolean

Indicates whether the response body should be in a prettyprint format.

false

This endpoint doesn't use HTTP request body parameters.

These values may change at any time without notice. They remain compatible with Ops Manager.

curl --include --header "Accept: application/json" \ --request GET "https://<OpsManagerHost>:<Port>/api/public/v1.0/unauth/versionManifest?pretty=true"
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-alive
HTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}

Ops Manager returns the version manifest that it is configured to use.

The parameters and values in this file -- as well as how they are structured -- can change without notice.